package com.ruoyi.project.system.enums;


import com.fasterxml.jackson.annotation.JsonValue;

public enum ProductEnum implements BaseEnum {
    WEISHU(0, "位数计算"),

    AREA(1, "面积计算"),

    LONGWIDTH(2, "长宽计算");

    ProductEnum(Integer code, String value) {
        this.code = code;
        this.value = value;
    }

    @JsonValue
    private Integer code;

    private String value;

    @Override
    public Integer getCode() {
        return code;
    }

    @Override
    public String getValue() {
        return value;
    }
}
